Subject: RE: 2 newlines instead of 1?
From: [email-masked] (Colin Peters)

21 Jan 1997 04:17:22 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC07C5.6FD1BF60.cygnus.gnu-win32@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

[email-masked] wrote:
>> > But in DOS, running a.exe gives:
>> > 
>> > 	C:\Work>a
>> > 	Hello world!
>> > 
>> > 	C:\Work>_
>> > 
>> > (where '_' indicates cursor position)
>> 
>> In DOS? Are you on the right mailing list?
>> 
>> This is for win32, which means NT or 95. Not DOS.
>> 
>
>I'm sure he just meant a DOS shell run in win95, since nothing made 
>with cygwin32 runs in plain MSDOS .  I've also noticed this behavior, 
>a fix would be nice .. but it's not a emergency or anything :).

I'm not 100% sure, but if this is talking about what I think it's talking
about then it has nothing to do with the cygnus implementation in particular.

As far as I can determine *any* program run from the command line of a 
DOS box (on 95 anyway) will result in an 'extra' blank line before the
next prompt. A hello world program that prints nothing, or even notepad
(a GUI program, presumably not using stdout etc. at all), all have the
same behavior. And if you pipe the output to a file you still get the
blank line (on the console, not in the file).

So I'd say it's a 'feature' of the DOS box command line, and not really
worth worrying about.

Colin.

(He said hoping he hadn't completely blown his credibility with the
loading DLLs from a floppy thing. :-) )

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- Fundamentals of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/home.html

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".